summaryrefslogtreecommitdiff
path: root/dev-python/fsspec
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-03-31 20:17:18 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-03-31 20:17:18 +0000
commitf88d1072d6392a5f1578e975c131995517475a40 (patch)
treef782469ad45141b3d357ca6fb75d187315256afe /dev-python/fsspec
parentea96ffabd1ec563b10a4f21542178662d32938de (diff)
downloadbaldeagleos-repo-f88d1072d6392a5f1578e975c131995517475a40.tar.gz
baldeagleos-repo-f88d1072d6392a5f1578e975c131995517475a40.tar.xz
baldeagleos-repo-f88d1072d6392a5f1578e975c131995517475a40.zip
Adding metadata
Diffstat (limited to 'dev-python/fsspec')
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2025.3.1.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 927cdc9aca1e..767d31e0b9c6 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
DIST filesystem_spec-2025.3.0.gh.tar.gz 430334 BLAKE2B 99b066224ee9a8f6bd241480e639f2e5dc47ccd5df02d08a9084755ca363ee4e9c65627b6bb1960014fd017e2c7d50525b61e36d818a34d68905c8fc366edf72 SHA512 aba1570a8083a007f566d3ae7a1e1e64ea3caad2da9a616adf06e0a94a39652f7e9c1d1316c328a11bc433410689b4aaa0e67b0902262984b9457918658b7872
+DIST filesystem_spec-2025.3.1.gh.tar.gz 432007 BLAKE2B 44771506b41887b0d025b963e9589be5481de78e8946191e1583340de5a77396f93dd8e6c2db7771cea5082e22b7b76be50905c8d8a2cb6efcae36810464a1ef SHA512 00d0c3fe3ffaaa8510d93be8c9375ea5a277ccb7a0a9c7957635ebc606e1af624f81f5d65cbadc3bce77815ef4a12a2c96672d43a819a5e387c240f50f20b0d0
diff --git a/dev-python/fsspec/fsspec-2025.3.1.ebuild b/dev-python/fsspec/fsspec-2025.3.1.ebuild
new file mode 100644
index 000000000000..6cdbdfed8fde
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2025.3.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+ https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/
+"
+# upstream removed tests in 2024.6.0
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+# Note: this package is not xdist-friendly
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ fsspec/implementations/tests/test_reference.py::test_async_cat_file_ranges
+ fsspec/implementations/tests/test_github.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p pytest_mock -o tmp_path_retention_policy=all
+}